Subject: bug#38384: (next|previous)-buffer silent about not switching

From: Juanma Barranquero <[email-masked]>
Date: Tue, 26 Nov 2019 16:54:56 +0100

On Tue, Nov 26, 2019 at 4:42 PM Eli Zaretskii <[email-masked]> wrote:

> Could that disrupt noninteractive calls?

Yes, that's why added the notice in NEWS in the "Incompatible Lisp Changes".

But, on one hand, programs should perhaps be using
switch-to-(prev|next)-buffer. AFAICS, next-buffer and previous-buffer
aren't even documented in the Elisp manual (they are briefly mentioned in
the Emacs manual).

 And on the other, if code is using (next|prev)-buffer, silently getting
the same buffer is likely a subtle bug anyway. At least now they get notice.